%define cvs_version 20100314cvs

Name:             freehoo
Version:          3.5.3
Release:          5.%{cvs_version}%{?dist}
Summary:          Freehoo is a free console based messenger for Yahoo IM Service
Group:            Applications/Internet
License:          GPLv2+
URL:              http://www.nongnu.org/freehoo/
Source0:          http://download.savannah.gnu.org/releases/freehoo/freehoo-%{version}.%{cvs_version}.tar.gz
Patch0:           freehoo-libyahoo2-1.0.0.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         libyahoo2 >= 1.0.0 words openssl
Requires(post):   info
Requires(preun):  info
BuildRequires:    guile-devel 
BuildRequires:    readline-devel 
BuildRequires:    glib2-devel 
BuildRequires:    libyahoo2-devel >= 1.0.0
BuildRequires:    texinfo
BuildRequires:    openssl-devel

%description
This is a simple Yahoo Messenger client that requires no windowing system,
and it therefore can be quite useful in situations where a minimal system
is being used or when a windowing system is otherwise unavailable or
unfeasible.

%prep
%setup -q -n %{name}-%{version}.%{cvs_version}
%patch0 -p0 -b .libyahoo2-1.0.0

%build
%configure \
  --with-docdir=%{_docdir}/%{name}-%{version}
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
# This preserves timestamps.
%{__make} install DESTDIR=%{buildroot} INSTALL="%{__install} -c -p"

# Make sure our documentation directory exists.
%{__mkdir} -p %{buildroot}/%{_docdir}/%{name}-%{version}

# Clean up old documentation and example directories.
%{__rm} -rf %{buildroot}/usr/doc
%{__rm} -rf %{buildroot}/%{_docdir}/%{name}
%{__rm} -rf %{buildroot}/examples

# Remove info/dir if it exists.
%{__rm} -f  %{buildroot}/%{_infodir}/dir

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING README TODO doc/examples
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_infodir}/*
%{_mandir}/man?/*

%changelog
* Sun Jul 25 2010 Ray Van Dolson <rayvd@fedoraproject.org> - 3.5.3-5.20100314cvs
- Rebuild against libyahoo2 1.0.0

* Sun Mar 14 2010 Ray Van Dolson <rayvd@fedoraproject.org> - 3.5.3-4.20100314cvs
- Rebuild against new libyahoo2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Ray Van Dolson <rayvd@fedoraproject.org> - 3.5.3-1
- Upstream released 3.5.3

* Sat Jun 28 2008 Ray Van Dolson <rayvd@fedoraproject.org> - 3.5.2-2
- Removed extra non-needed Requires; added 'words'
- No longer converting freehoo.1 to UTF-8 (unneeded)
- No longer specifying C_INCLUDE_PATH to make
- Cleaned up some documentation processing logic that was unnecessary
- Removed INSTALL
- BuildRequires on separate lines
- Other minor cleanups per reviewer
- Removed %check as there is no make test target

* Sat May  3 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.2-1
- Upstream released 3.5.2

* Tue Apr 30 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.1.20080430-1
- Testing against CVS

* Sun Apr 27 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.1-2
- Rebuild against libyahoo2 0.7.6
- Created freehoo-3.5.1-callbacks.patch for callback changes in libyahoo2 0.7.6

* Thu Feb 21 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.1-1
- Upstream released 3.5.1 (guile 1.6 compatibility and nick auto-completion)

* Tue Feb 19 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.0-3
- Including COPYING file (license)
- Including texinfo snippet.
- Using buildroot macro.
- Remove executable bit from script in documentation.

* Tue Feb 19 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.0-2
- Including patch from Harshavardhana <harsha@zresearch.com> to provide
  backwards compatibility with guile 1.6.x for EL4.

* Mon Feb 18 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.0-1
- Initial creation
